Home//
REST API Reference
/- Attach a contact to a conversation
Add tag to a conversation
Remove tag from a conversation
List all conversations
Creates a conversation
Retrieve a conversation
Update a conversation
Delete a conversation
Search conversations
Reply to a conversation
Manage a conversation
Detach a contact from a group conversation
List handling events
List side conversations
Rate a conversation
Redact a conversation part
Merge a conversation
Convert a conversation to a ticket
List all deleted conversation IDs
Create a conversation stream token
Revoke conversation stream tokens
Conversation
Conversation List Item
Conversation Monitor Evaluation
Conversation Scorecard
Conversation Scorecard Evaluator
Conversation Scorecard Evaluator Result
Reviewed Teammate
Conversation stream token
Merge Conversations Request
Rated conversation
Attach a contact to a con...
You can add participants who are contacts to a conversation, on behalf of either another contact or an admin.
Contacts without an email
If you add a contact via the email parameter and there is no user/lead found on that workspace with he given email, then we will create a new contact with role set to lead.
Security
bearerAuth
Intercom-Versionstring(intercom_version)
Intercom API version.
By default, it's equal to the version set in the app package.
Default:"2.16"
Enum:"1.0""1.1""1.2""1.3""1.4""2.0""2.1""2.2""2.3""2.4"
Example:2.16
- The production API serverhttps://api.intercom.io/conversations/{conversation_id}/customers
- The european API serverhttps://api.eu.intercom.io/conversations/{conversation_id}/customers
- The australian API serverhttps://api.au.intercom.io/conversations/{conversation_id}/customers
- Attach a contact to a conversation
- Not found
curl -i -X POST \
https://api.intercom.io/conversations/123/customers \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
-H 'Content-Type: application/json' \
-H 'Intercom-Version: 2.16' \
-d '{
"admin_id": 991267731,
"customer": {
"intercom_user_id": "6762f19b1bb69f9f2193bbd4"
}
}'Response
{ "customers": [ { … } ] }